Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 686816 - dev-ruby/libusb-0.6.4 : -e:1:in eval : No such file or directory - git (Errno::ENOENT)
Summary: dev-ruby/libusb-0.6.4 : -e:1:in eval : No such file or directory - git (Errno...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rick Farina (Zero_Chaos)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-26 19:29 UTC by Toralf Förster
Modified: 2019-05-26 19:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.71 KB, text/plain)
2019-05-26 19:29 UTC, Toralf Förster
Details
dev-ruby:libusb-0.6.4:20190526-190530.log (dev-ruby:libusb-0.6.4:20190526-190530.log,2.91 KB, text/plain)
2019-05-26 19:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,65.81 KB, text/plain)
2019-05-26 19:29 UTC, Toralf Förster
Details
environment (environment,164.25 KB, text/plain)
2019-05-26 19:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.94 KB, application/x-bzip)
2019-05-26 19:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-05-26 19:29:02 UTC
>>> Install dev-ruby/libusb-0.6.4 into /var/tmp/portage/dev-ruby/libusb-0.6.4/image/
 * Running install phase for ruby24 ...
-e:1:in `eval': No such file or directory - git (Errno::ENOENT)
	from (eval):17:in `block in <main>'
	from /usr/lib64/ruby/site_ruby/2.4.0/rubygems/specification.rb:2067:in `initialize'
	from (eval):6:in `new'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_20190525-112106

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.35.0 *



emerge -qpvO dev-ruby/libusb
[ebuild  N    ] dev-ruby/libusb-0.6.4  USE="-doc -test" RUBY_TARGETS="ruby24 -ruby25 -ruby26"
Comment 1 Toralf Förster gentoo-dev 2019-05-26 19:29:05 UTC
Created attachment 577846 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-05-26 19:29:08 UTC
Created attachment 577848 [details]
dev-ruby:libusb-0.6.4:20190526-190530.log
Comment 3 Toralf Förster gentoo-dev 2019-05-26 19:29:10 UTC
Created attachment 577850 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-05-26 19:29:13 UTC
Created attachment 577852 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-05-26 19:29:16 UTC
Created attachment 577854 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-05-26 19:30:02 UTC
maybe a dup of bug 686798 ?